%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 0.7.0
%define release	1mdk

%define realname python
%define modname python
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A19_%{modname}.ini
%define	py_ver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary:	Embedded Python for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/python
License:	PHP License
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	php%{libversion}
Requires:	php-cli
BuildRequires:	php%{libversion}-devel
BuildRequires:	python-devel
Conflicts:	php-cgi mod_php
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows the Python interpreter to be embedded inside
of PHP, allowing for the instantiate and manipulation of Python
objects from within PHP. 

%prep
%setup -q -n %{modname}-%{rversion}
#(peroyvind) fix hardcoded python version
perl -pi -e "s#python2.2#python%{py_ver}#g" config*

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.7.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-1mdk
- conflicts with php-cgi mod_php
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.7.0-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.7.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.3.2_0.7.0-3mdk
- really rebuild against new python
- drop requires on lib

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-2mdk
- rebuilt against new python

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-1mdk
- initial cooker contrib
